[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.AutoSize

Whether auto-size is to be used

## Declaration

Source position: controls.pp line 1375

`public property TControl.AutoSize: Boolean read FAutoSize write SetAutoSize default false;`

## Description

// standard properties, which should be supported by all descendants

AutoSize permits the size of a control to be adjusted automatically, for example a button can become bigger or smaller to accommodate a longer or shorter caption.

Reads logical (boolean) flag to see whether auto-sizing is to be operated, or writes the flag to say it should be done. Default is false, ie no auto-sizing

## See also

Autosize topic |  | AutoSize - boolean property that permits the size of a control to be adjusted automatically

The latest version of this document can be found at lazarus-ccr.sourceforge.net.